### Method

# Clutter Timeline set_step_progress

#### Declaration [src]

    void
    clutter_timeline_set_step_progress (
      ClutterTimeline* timeline,
      gint n_steps,
      ClutterStepMode step_mode
    )

#### Description [src]

Sets the `ClutterTimeline:progress-mode` of the `timeline` to `CLUTTER_STEPS` and provides the parameters of the step function.

#### Parameters

`n_steps`

  Type: `gint`

  The number of steps.

`step_mode`

  Type: `ClutterStepMode`

  Whether the change should happen at the start or at the end of the step.